pbs_jobs_at(8B)

NAME
pbs_jobs_at - tool to identify historical PBS jobs

SYNOPSIS
pbs_jobs_at [-s <start date>] [-e <end date>] [-n <nodes>]
[-a <accounting logs directory>] [-w <max walltime>]
[-v] [-h]

DESCRIPTION
The pbs_jobs_at command allows you to identify historical jobs that were running on node(s) during a certain period of time, perhaps because the cluster manager identified possible issues and we need to know which jobs may have been affected. The tool reports jobs that were running on node(s) during a specified period of time. This means jobs that started or finished as well as were running when the period started (jobs that spanned the period of time). During testing this has highlighted a few old jobs that have finished but don't have end records due to hardware/software issues that meant PBS wasn't able to properly clean up. The tool queries either the system accounting logs on the host it is run on or a named directory containing copies of accounting logs. When specifying nodes of interest it is possible to define node ranges using host[xx-yy], e.g. node[1-100] or node[01-09]. It is also possible to specify multiple node(s) as a comma-separated list, for example node[1-10],node[20-29]. All arguments are optional. If no arguments are specified it will report all jobs on all nodes in all the accounting logs. When giving a date and time for start or end the search for jobs is accurate to the second specified. This can be useful if an exact time if known for a historical issue.

OPTIONS

-s <start date>
    Start date/time of time period. If no start date specified, begins at first accounting log.

-e <end date>
    End date/time of time period. If no end date specified, finishes at last accounting log.

-n <nodes>
    Nodes of interest. If no nodes specified, reports jobs on all nodes.

-a <accounting logs directory>
    Path to directory containing accounting logs. If no accounting logs directory specified, uses system logs in $PBS_HOME/server_priv/accounting

-w <max walltime>
    Specify maximum job length to optimize search for jobs still running at <start date>. If not specified, searches from first accounting log

-v  Verbose output. Display Nodes-Per-Job and Jobs-Per-Node. If not specified, displays list of jobs.

-h  Displays help message.